{% extends "admin_site/base.html" %}
{% load static staticfiles %}
{% block title %}Service Orders{% endblock %}
{% block container %}
    <section>

        <h2 class="font-weight-bold mt-lg-5 mb-5 pb-4"><strong>Service Types</strong></h2>

        <div class="card card-cascade narrower z-depth-1">

            <!--Card image-->
            <div class="view gradient-card-header blue-gradient narrower py-2 mx-4 mb-3 d-flex justify-content-between align-items-center">

                <div>
                    {#                            <button type="button" class="btn btn-outline-white btn-rounded btn-sm px-2 waves-effect waves-light"><i class="fa fa-th-large mt-0"></i></button>#}
                    {#                            <button type="button" class="btn btn-outline-white btn-rounded btn-sm px-2 waves-effect waves-light"><i class="fa fa-columns mt-0"></i></button>#}
                </div>

                <a href="" class="white-text mx-3">Service Types</a>

                <div>
                    <a type="button" class="btn btn-outline-white"
                       href="{% url 'admin_site:service_type_create' %}"><i class="fa fa-plus mt-0 mr-2"></i>Create</a>
                </div>

            </div>
            <!--/Card image-->

            <div class="px-4">
                <div class="table-responsive">
                    <!--Table-->
                    <table class="table table-hover mb-0">

                        <!--Table head-->
                        <thead>
                        <tr>
                            <th class="th-lg"><a>Service Name </a></th>
                            <th class="th-lg"><a>Description</a></th>
                            <th class="th-lg"><a>Actions</a></th>
                        </tr>
                        </thead>
                        <!--Table head-->

                        <!--Table body-->
                        <tbody>

                        {% for object in objects %}
                            <tr>
                                <td>{{ object.name }}</td>
                                <td>{{ object.description }}</td>
                                <td>
                                <a href="{% url 'admin_site:service_type_edit' object.id %}" type="button"><i class="fa fa-edit" aria-hidden="true"></i></a>
                                <a type="button" class="ml-3" data-toggle="modal" data-target="#modalConfirmDelete"><i class="fa fa-trash" aria-hidden="true"></i></a>
                            </td>
                            {% include 'admin_site/service_type/confirm_delete.html' %}
                            </tr>
                        {% endfor %}

                        </tbody>
                        <!--Table body-->
                    </table>
                    <!--Table-->
                </div>


                <hr class="my-0">

                <!--Bottom Table UI-->
                <div class="d-flex justify-content-between mt-3 mb-3 float-right">

                    <!--Name-->
                    {% include 'generics/pagination.html' %}

                </div>
                <!--Bottom Table UI-->

            </div>
        </div>

    </section>

{% endblock %}